inflect_project inflect 不充分的比较

CVE编号

CVE-2021-3820

利用情况

暂无

补丁情况

N/A

披露时间

2021-09-27
漏洞描述
inflect is vulnerable to Inefficient Regular Expression Complexity
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 inflect_project inflect * Up to
(including)
0.3.6
运行在以下环境
系统 amazon_2 kernel * Up to
(excluding)
5.10.47-39.130.amzn2
运行在以下环境
系统 amazon_AMI kernel * Up to
(excluding)
4.14.248-129.473.amzn1
运行在以下环境
系统 centos_8 linux * Up to
(excluding)
4.18.0-305.17.1.el8_4
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.194-1
运行在以下环境
系统 debian_11 linux * Up to
(excluding)
5.10.70-1
运行在以下环境
系统 debian_12 linux * Up to
(excluding)
5.10.46-4
运行在以下环境
系统 debian_9 linux * Up to
(excluding)
4.9.272-1
运行在以下环境
系统 debian_sid linux * Up to
(excluding)
5.10.46-4
运行在以下环境
系统 opensuse_Leap_15.2 linux * Up to
(excluding)
5.3.18-lp152.92.1
运行在以下环境
系统 opensuse_Leap_15.3 linux * Up to
(excluding)
5.3.18-38.22.2
运行在以下环境
系统 opensuse_Leap_15.3 linux * Up to
(excluding)
5.3.18-59.24.1
运行在以下环境
系统 oracle_8 linux * Up to
(excluding)
4.18.0-305.17.1.el8_4
运行在以下环境
系统 redhat_8 linux * Up to
(excluding)
4.18.0-305.17.1.el8_4
运行在以下环境
系统 suse_12_SP5 linux * Up to
(excluding)
4.12.14-122.88.1
运行在以下环境
系统 suse_12_SP5 linux * Up to
(excluding)
4.12.14-16.73.2
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
4.15.0-154.161
运行在以下环境
系统 ubuntu_18.04.5_lts linux * Up to
(excluding)
4.15.0-159.167
运行在以下环境
系统 ubuntu_20.04 linux * Up to
(excluding)
5.11.0-1017.18~20.04.1
运行在以下环境
系统 ubuntu_21.04 linux * Up to
(excluding)
5.11.0-1018.20
CVSS3评分
7.5
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-400 未加控制的资源消耗(资源穷尽)
CWE-697 不充分的比较
阿里云安全产品覆盖情况